//amx_perip 0/1 - enable/disable plugin
//amx_perip_max 1-... - how many players are acceptable from one ip

#include <amxmodx>

#define PLUGIN "MAX Players Per IP"
#define VERSION "0.0"
#define AUTHOR "Argus&DaTa"

#define IP_SIZE		16
#define MAXPLAYERS	32

new const g_szKickString[] = "kick #%d ^"Sorry, there are too many players from your IP address^""

new g_aszIp[MAXPLAYERS+1][IP_SIZE]

new g_maxplayers

new g_pcvar_amx_perip, g_pcvar_amx_perip_max

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	g_pcvar_amx_perip		= register_cvar("amx_perip", "1")
	g_pcvar_amx_perip_max	= register_cvar("amx_perip_max", "2")
	
	g_maxplayers = get_maxplayers()
}

public client_connect(id)
{
	if(  !get_pcvar_num(g_pcvar_amx_perip)  )
		return PLUGIN_CONTINUE
	
	get_user_ip(id, g_aszIp[id], IP_SIZE - 1, 1)
	
	static i, iCounter
	iCounter = 1	//Connecter Player
	for(i = 1; i <= g_maxplayers; i++)
	{
		if(  !is_user_connected(i) || i == id  )
			continue
		
		if(  equal(g_aszIp[id], g_aszIp[i])  )
			iCounter++
	}
	
	if(  iCounter > get_pcvar_num(g_pcvar_amx_perip_max)  )
		server_cmd(g_szKickString, get_user_userid(id))
	
	return PLUGIN_CONTINUE
}
